For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • POSTCreate IP Allowlist Entry
      • DELDelete IP Allowlist Entry
      • GETGet IP Allowlist
      • PATCHUpdate IP Allowlist Configuration
      • PATCHUpdate IP Allowlist Entry Description
Sign inTry it free
LogoLogo
REST API overviewIP Allowlist Beta

Update IP Allowlist Entry Description

PATCH
/api/v2/account/ip-allowlist/:id
PATCH
/api/v2/account/ip-allowlist/:id
$curl -X PATCH https://app.launchdarkly.com/api/v2/account/ip-allowlist/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "Updated description"
>}'
1{
2 "_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
3 "ipAddress": "203.0.113.0/24",
4 "_createdAt": 0,
5 "_updatedAt": 6,
6 "description": "Office network",
7 "_createdByMemberId": "507f1f77bcf86cd799439011"
8}
Update the description of an IP allowlist entry.
Was this page helpful?
Previous

Create a release policy

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for the allowlist entry

Request

This endpoint expects an object.
descriptionstringRequired

Response

Updated IP allowlist entry
_idstringformat: "uuid"
Unique identifier for the allowlist entry
ipAddressstring
IP address or CIDR block
_createdAtlong
_updatedAtlong
descriptionstring
_createdByMemberIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error